GET/bills/{id}

Retrieve

Recovers the bill resource by its id

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Retrieve a credit card bill.
object

Response with information related to a credit card bill

idrequiredstring

Primary identifier

dueDaterequiredstring (date-time)

Due date of the bill, displayed for payment by the customer

billClosingDatestring (date-time) | null

Date when the bill was closed

totalAmountrequirednumber

Total bill amount

totalAmountCurrencyCoderequiredstring

Code referencing the currency of the bill

minimumPaymentAmountnumber

Minimum payment amount of the bill

allowsInstallmentsboolean

Indicates whether the bill allows installment payments (true) or not (false)

financeChargesrequiredobject[]

List of charges associated to the bill

itemsobject

Response with information related to a credit card bill finance charge

paymentsrequiredobject[]

List of payments associated to the bill

itemsobject

Response with information related to a credit card bill payment

Example response

json
{}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/bills/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters